### Method

# Ide Task return_new_error

#### Declaration

    void
    ide_task_return_new_error (
      IdeTask* self,
      GQuark error_domain,
      gint error_code,
      const gchar* format,
      ...
    )

#### Description

Creates a new `GError` and sets it as the result for the task.

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`error_domain` | `GQuark`
| The error domain of the `GError`.
`error_code` | `gint`
| The error code for the `GError`.
`format` | `const gchar*`
| The printf-style format string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.